Package opennlp.tools.cmdline.chunker

## Class ChunkEvaluationErrorListener

- java.lang.Object
- - opennlp.tools.cmdline.EvaluationErrorPrinter<ChunkSample>
  - - opennlp.tools.cmdline.chunker.ChunkEvaluationErrorListener

- All Implemented Interfaces:
    `ChunkerEvaluationMonitor`, `EvaluationMonitor<ChunkSample>`

      public class ChunkEvaluationErrorListener
      extends opennlp.tools.cmdline.EvaluationErrorPrinter<ChunkSample>
      implements ChunkerEvaluationMonitor

  A default implementation of `EvaluationMonitor` that prints to an output stream.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ChunkEvaluationErrorListener()` | Creates a listener that will print to the configured `logger`.
    `ChunkEvaluationErrorListener​(OutputStream outputStream)` | Creates a listener that will print to a given `OutputStream`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `misclassified​(ChunkSample reference, ChunkSample prediction)` |

    - ### Methods inherited from class opennlp.tools.cmdline.EvaluationErrorPrinter

      `correctlyClassified`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface opennlp.tools.util.eval.EvaluationMonitor

      `correctlyClassified`

- - ### Constructor Detail

    - #### ChunkEvaluationErrorListener

          public ChunkEvaluationErrorListener()

      Creates a listener that will print to the configured `logger`.

    - #### ChunkEvaluationErrorListener

          public ChunkEvaluationErrorListener​(OutputStream outputStream)

      Creates a listener that will print to a given `OutputStream`

  - ### Method Detail

    - #### misclassified

          public void misclassified​(ChunkSample reference,
                                    ChunkSample prediction)

      Specified by:
        `misclassified` in interface `EvaluationMonitor<ChunkSample>`
      Specified by:
        `misclassified` in class `opennlp.tools.cmdline.EvaluationErrorPrinter<ChunkSample>`